## initramfs-tools 0.136ubuntu6

=== debian/changelog ===
initramfs-tools (0.136ubuntu6) focal; urgency=medium

  * Adjust testsuite for correct expected netplan output.
  * Add tests to parse netplan.yaml with netplan generate.
  * Run unittests during autopkgtests.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 09 Apr 2020 08:35:46 +0100

initramfs-tools (0.136ubuntu5) focal; urgency=medium

  * Emit empty dictionary in the ethernets section, for static vlan
    configs without any matches, as otherwise it is invalid config. Patch
    by mwhudson.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 08 Apr 2020 21:22:40 +0100

initramfs-tools (0.136ubuntu4) focal; urgency=medium

  * Skip setting mac-address, unless unsupported unpredictable netnames
    are used.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sat, 04 Apr 2020 23:39:59 +0100

initramfs-tools (0.136ubuntu3) focal; urgency=medium

  * Revert upstream commit 0012977; Ubuntu's resume script implementation
    diverges from Debian's and this special-case handling of UUID (which is
    used as the resume target in the default scenario) is required here.
    LP: #1869996.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 01 Apr 2020 21:33:18 -0700

initramfs-tools (0.136ubuntu2) focal; urgency=medium

  * scripts/functions:_render_netplan(): Make configure_networking()
    more resilient when called by set -e scripts. LP: #1868310.

 -- dann frazier <dannf@ubuntu.com>  Fri, 20 Mar 2020 14:09:47 -0600
