=== debian/tests/control ===
Tests: shellcheck
Depends: @, shellcheck
Restrictions: superficial

Test-Command: ./tests/run-tests
Depends: netplan.io
Restrictions: allow-stderr

Tests: net
Depends: curl,
         initramfs-tools,
         isc-dhcp-client,
         linux-image-generic,
         lsb-release,
         parted,
         python3,
         qemu-system
Restrictions: needs-root, allow-stderr
