## initramfs-tools 0.136ubuntu6.7

=== debian/changelog ===
initramfs-tools (0.136ubuntu6.7) focal; urgency=medium

  * Increase image file to 2GB in autopkgtest (LP: #1958904)

 -- Kleber Sacilotto de Souza <kleber.souza@canonical.com>  Wed, 26 Jan 2022 18:11:24 +0100

initramfs-tools (0.136ubuntu6.6) focal; urgency=medium

  * Cherrypick zstd support from upstream. LP: #1932542

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 18 Jun 2021 14:22:25 +0100

initramfs-tools (0.136ubuntu6.5) focal; urgency=medium

  * scripts/local-premount/resume:
    - Use readlink -f to correctly handle non-symlink $resume
      (LP: #1876570)
  * hook-functions:
    - when MODULES=list there will be no 'kernel' dir, so don't try
      to find anything there, as it will log an error
      (LP: #1927779)
  * hooks/fsck:
    - don't check PASSNO, always include fsck
      (LP: #1917780)

 -- Dan Streetman <ddstreet@canonical.com>  Thu, 18 Mar 2021 14:48:17 -0400

initramfs-tools (0.136ubuntu6.4) focal; urgency=medium

  * hook-functions: Search for firmware under /lib/firmware/updates
    (LP: #1571506)

 -- William 'jawn-smith' Wilson <william.wilson@canonical.com>  Wed, 03 Mar 2021 16:34:04 -0600

initramfs-tools (0.136ubuntu6.3) focal; urgency=medium

  * scripts/functions: Prevent printf error carry over if the wrong
    console is set. (LP: #1879987)
      The function _log_msg() is "void" typed, returning whatever its
      last command returns. This function is the basic building block
      for all error/warning messages in initramfs-tools. If a bad console
      is provided to kernel on command-line, printf returns error, and so
      this error is carried over in _log_msg(). Happens that checkfs()
      function has a loop that runs forever in this scenario (*if* fsck
      is not present in initramfs and "quiet" is not passed in the
      command-line). If that happens, boot is stuck and cannot progress.
      The simple fix hereby merged is to return zero on _log_msg().

  * scripts/local: Re-execute cryptroot local-block script. (LP: #1879980)
      Currently, if an encrypted rootfs is configured on top of a MD RAID1
      array and such array gets degraded (like a member is removed/failed),
      initramfs-tools cannot mount the rootfs and the boot fails. We fix
      that issue here by allowing cryptroot script to re-run on local-block
      stage, given that mdadm is able to activate a degraded array in that
      point. There is a cryptsetup counter-part for this fix, but alone the
      initramfs-tools portion is innocuous.

  * d/tests: Add explicit call to partprobe on net test, specially in
    prep-image and run-image. (LP: #1893675)

 -- Guilherme G. Piccoli <gpiccoli@canonical.com>  Mon, 31 Aug 2020 13:43:29 -0300

initramfs-tools (0.136ubuntu6.2) focal; urgency=medium

  * Trim leading whitespaces in dumpe2fs output so date command
    is happy in the fixrtc script (LP: #1880968)

 -- Alfonso Sanchez-Beato (email Canonical) <alfonso.sanchez-beato@canonical.com>  Wed, 27 May 2020 16:52:16 +0200

initramfs-tools (0.136ubuntu6.1) focal; urgency=medium

  * SRU changes from Dimitri John Ledkov into focal:
    - Partially revert 0.133ubuntu12 upload:
      "* scripts/functions: Fix args in the add_mountroot_fail_check function."
      The arguments were correct, as used by lvm2 hook.
      LP: #1871154
    - Fix copying libgcc_s when there is optimized pthreads installed.
      LP: #1880853

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 01 Jun 2020 11:03:12 +0200
