## initramfs-tools 0.136ubuntu6.7%2B10.0trisquel2

=== debian/changelog ===
initramfs-tools (0.136ubuntu6.7+10.0trisquel2) nabia; urgency=medium

  * Do not warn of missing firmware

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 26 Apr 2023 19:50:57 +0000

initramfs-tools (0.40ubuntu22) dapper; urgen
