## initramfs-tools 0.137ubuntu12

=== debian/changelog ===
initramfs-tools (0.137ubuntu12) groovy; urgency=medium

  * d/tests: Add explicit call to partprobe on net test, specially in
    prep-image and run-image. (LP: #1893675)

 -- Guilherme G. Piccoli <gpiccoli@canonical.com>  Mon, 31 Aug 2020 18:04:00 -0300

initramfs-tools (0.137ubuntu11) groovy; urgency=medium

  * scripts/functions: Prevent printf error carry over if the wrong
    console is set. (LP: #1879987)
      The function _log_msg() is "void" typed, returning whatever its
      last command returns. This function is the basic building block
      for all error/warning messages in initramfs-tools. If a bad console
      is provided to kernel on command-line, printf returns error, and so
      this error is carried over in _log_msg(). Happens that checkfs()
      function has a loop that runs forever in this scenario (*if* fsck
      is not present in initramfs and "quiet" is not passed in the
      command-line). If that happens, boot is stuck and cannot progress.
      The simple fix hereby merged is to return zero on _log_msg().

  * scripts/local: Re-execute cryptroot local-block script. (LP: #1879980)
      Currently, if an encrypted rootfs is configured on top of a MD RAID1
      array and such array gets degraded (like a member is removed/failed),
      initramfs-tools cannot mount the rootfs and the boot fails. We fix
      that issue here by allowing cryptroot script to re-run on local-block
      stage, given that mdadm is able to activate a degraded array in that
      point. There is a cryptsetup counter-part for this fix, but alone the
      initramfs-tools portion is innocuous.

 -- Guilherme G. Piccoli <gpiccoli@canonical.com>  Mon, 03 Aug 2020 18:04:00 -0300

initramfs-tools (0.137ubuntu10) groovy; urgency=medium

  * Trim leading whitespaces in dumpe2fs output so date command
    is happy in the fixrtc script (LP: #1880968)

 -- Alfonso Sanchez-Beato (email Canonical) <alfonso.sanchez-beato@canonical.com>  Wed, 27 May 2020 16:52:16 +0200

initramfs-tools (0.137ubuntu9) groovy; urgency=medium

  * Document add_mountroot_fail_hook correctly.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sat, 30 May 2020 16:33:08 +0100

initramfs-tools (0.137ubuntu8) groovy; urgency=medium

  * Partially revert 0.133ubuntu12 upload:
    "* scripts/functions: Fix args in the add_mountroot_fail_check function."
    The arguments were correct, as used by lvm2 hook. LP: #1871154

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sat, 30 May 2020 14:31:59 +0100

initramfs-tools (0.137ubuntu7) groovy; urgency=medium

  * Fix copying libgcc_s when there is optimized pthreads installed.
    LP: #1880853

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 29 May 2020 20:06:32 +0100

initramfs-tools (0.137ubuntu6) groovy; urgency=medium

  * Fixup previous commit to fix build failure

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 27 May 2020 09:57:57 +0200

initramfs-tools (0.137ubuntu5) groovy; urgency=medium

  * Skip attempting to chzdev enable VLAN device LP: #1880735

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 26 May 2020 15:07:40 +0100

initramfs-tools (0.137ubuntu4) groovy; urgency=medium

  * Drop renderer from netplan yaml, such that netplan uses the default
    rendered for the target system, i.e. NetworkManager on the
    desktop. LP: #1876884

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 20 May 2020 23:50:52 +0200

initramfs-tools (0.137ubuntu3) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Make busybox-initramfs a real runtime dependency, fixing
      kernel install failures with cryptsetup
    - support mounting of loopback devices via loop*= parameters
    - Drop hooks/keymap, scripts/init-top/keymap, and associated code;
      console-setup takes care of this in Ubuntu.
    - Add a new 'fixrtc' script that tries to set the system clock forward
      based on the last mount time of the root disk; without this kludge,
      systems without a working RTC will end up in a perpetual reboot loop.
    - Set hostname at boot, for the benefit of mdadm autoassembly.
    - Allow scripts and hooks to specify OPTION=VAR, and unless VAR is set
      to something other than "n", the script will not be included.
    - Restore the framebuffer hook and script, copying KMS and other
      framebuffer drivers into the initramfs, but make them optional; you
      need to set FRAMEBUFFER=y for these to be included.
    - Add hwaddr= alias for BOOTIF= for compatibility.
    - Automatically blacklist vga16fb when vga= or video= specified on
      kernel command-line.
    - add squashfs to list of 'most' modules
    - Add vfat and nls modules to the initramfs.
    - Add Hyper-V paravirtualised device drivers to the initramfs to allow
      booting of stock images in a Hyper-V guest.
    - ppc64el: enable PowerPC NX Crypto Coprocessor
    - Add mountroot failure support, to allow meaningful messages when no
      root device can be found.
    - resume: only resume when the partition contains a resume image
    - Add new initramfs-tools-bin package containing a binary that uses
      libudev to wait for udev to create the udev device, or wait for udev
      to finish processing if we catch it in the act, and returns the
      filesystem type as already probed by udev.
    - local_device_setup: use wait-for-root if it supports the device alias
      type
    - Incorporate rzscontrol from compcache so that we can control current
      ramzswap devices.
    - Support loading compcache from the initramfs.
    - debian/control: update Vcs-* links for Ubuntu.
    - Set executable bit on resume script in local-premount, which MoM seems
      to consistently drop
    - Add support for uppercase and lowercase uuids.
    - init: Don't interpret "rootdelay" as a static sleep.
    - scripts/local: Let rootdelay determine the wait-for-root timeout.
    - Increase rootdelay to 180s on powerpc/ppc64/ppc64el

