## initramfs-tools 0.137.35

=== debian/changelog ===
initramfs-tools (0.137.35-1+dde) unstable; urgency=medium

  *  Update live system crypttab.
  *  Update crypttab, Fix live system can't Decrypt data partition.

 -- zhangxueming <zhangxueming@uniontech.com>  Tue, 14 Dec 2021 16:36:42 +0800

initramfs-tools (0.137.34-1+dde) unstable; urgency=medium

  *  Mount boot directory.
  *  Add grub menu encryption judgment, enable init parameters.

 -- zhouzilong <zhouzilong@uniontech.com>  Thu, 23 Sep 2021 11:28:40 +0800

initramfs-tools (0.137.33-1+dde) unstable; urgency=medium

  * use lz4 for initrd.

 -- frandy<yuxiaoping@uniontech.com>  Mon, 30 Aug 2021 15:48:42 +0800

initramfs-tools (0.137.32-1+dde) unstable; urgency=medium

  * Fix live system can't auto load kernel modules.

 -- Guo Yao <guoyao@uniontech.com>  Thur, 29 Jul 2021 09:03:42 +0800

initramfs-tools (0.137.31-1+dde) unstable; urgency=medium

  * resole the problem of usb network driver during init in pxe boot.

 -- frandy<yuxiaoping@uniontech.com>  Wed, 28 Jul 2021 15:13:42 +0800

initramfs-tools (0.137.30-1+dde) unstable; urgency=medium

  * Fix live system display time error.

 -- Guo Yao <guoyao@uniontech.com>  Sun, 26 Aug 2021 09:02:42 +0800

initramfs-tools (0.137.29-1+dde) unstable; urgency=medium

  * Fix live system will change RTC time.

 -- Guo Yao <guoyao@uniontech.com>  Tue, 20 Aug 2021 11:02:42 +0800

initramfs-tools (0.137.28-1+dde) unstable; urgency=medium

  * resolve the problem of root partition of lvm .

 -- frandy <yuxiaoping@uniontech.com>  Tue, 21 Jul 2021 10:45:42 +0800

initramfs-tools (0.137.27-1+dde) unstable; urgency=medium

  * modify to support btrfs and non btrfs .

 -- frandy <yuxiaoping@uniontech.com>  Mon, 21 Jun 2021 09:30:42 +0800

initramfs-tools (0.137.26-1+dde) unstable; urgency=medium

  * Fix live system fonts problem.

 -- Guo Yao <guoyao@uniontech.com>  Tue, 6 Apr 2021 16:11:42 +0800

initramfs-tools (0.137.25-1+dde) unstable; urgency=medium

  * Port to sw64

 -- deepin/sw64 team <sunway@deepin.com>  Mon, 22 Feb 2021 08:59:38 +0000

initramfs-tools (0.137.24+dde) unstable; urgency=medium

  * Non-maintainer upload.
  * Add iso check script as an acceptable value for init param

 -- Ding Heng <dingheng@uniontech.com>  Sat, 20 Feb 2021 09:39:51 +0800

initramfs-tools (0.137.23-1+dde) unstable; urgency=medium

  * modify debian/changelog

 -- Yu xiaoping <yuxiaoping@uniontech.com>  Thu, 28 Jan 2021 14:38:16 +0800

initramfs-tools (0.137.22+dde) unstable; urgency=medium

  * Non-maintainer upload.
  * block init param

 -- Ding Heng <dingheng@uniontech.com>  Thu, 21 Jan 2021 16:38:16 +0800

initramfs-tools (0.137.21+dde) unstable; urgency=medium

  init: Mount /dev without the noexec option

 -- Ben Hutchings's avatarBen Hutchings <benh@debian.org>  Fri, 18 Dec 2020 11:21:13 +0800

initramfs-tools (0.137.20+dde) UNRELEASED; urgency=medium

  Fix can not boot PXE

 -- Guo Yao <guoyao@uniontech.com>  Fri, 18 Dec 2020 11:19:55 +0800

initramfs-tools (0.137.19+dde+nmu1) UNRELEASED; urgency=medium

  Change the installation directory to /usr

 -- Ding Heng <dingheng@uniontech.com>  Fri, 30 Oct 2020 10:53:29 +0800

initramfs-tools (0.137.16+dde) buster; urgency=medium

  Kernel modules synchronization

 -- Ding Heng <dingheng@uniontech.com>  Sun, 15 Aug 2020 15:47:37 +0800

initramfs-tools (0.137.15+dde) buster; urgency=medium

  Bootrom parameter support

 -- Ding Heng <dingheng@uniontech.com>  Sun, 15 Aug 2020 15:47:37 +0800

initramfs-tools (0.137.14+dde) buster; urgency=medium

  Customized live system support

 -- Ding Heng <dingheng@uniontech.com>  Sun, 15 Aug 2020 15:47:37 +0800
