## initramfs-tools 0.139ubuntu3

=== debian/changelog ===
initramfs-tools (0.139ubuntu3) hirsute; urgency=medium

  * hooks/fsck: always include fsck binaries irrespective of PASSNO value,
    otherwise initrds fail to mount rootfs and have no ability to fix the
    rootfs. LP: #1917780

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 24 Mar 2021 15:21:50 +0000

initramfs-tools (0.139ubuntu2) hirsute; urgency=medium

  * scripts/local-premount/resume:
    - Use readlink -f to correctly handle non-symlink $resume
      (LP: #1876570)
  * d/t/control:
    - autopkgtests running qemu need root, add needs-root restriction
  * hook-functions:
    - when MODULES=list there will be no 'kernel' dir, so don't try
      to find anything there, as it will log an 'error'
      this is needed for amd64-ata-only autopkgtest to pass,
      or we would need to ignore the 'error' with allow-stderr

 -- Dan Streetman <ddstreet@canonical.com>  Thu, 18 Mar 2021 14:48:17 -0400

initramfs-tools (0.139ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Make busybox-initramfs a real runtime dependency, fixing
      kernel install failures with cryptsetup
    - support mounting of loopback devices via loop*= parameters
    - Drop hooks/keymap, scripts/init-top/keymap, and associated code;
      console-setup takes care of this in Ubuntu.
    - Add a new 'fixrtc' script that tries to set the system clock forward
      based on the last mount time of the root disk; without this kludge,
      systems without a working RTC will end up in a perpetual reboot loop.
    - Trim leading whitespaces in dumpe2fs output so date command
      is happy in the fixrtc script
    - Set hostname at boot, for the benefit of mdadm autoassembly.
    - Allow scripts and hooks to specify OPTION=VAR, and unless VAR is set
      to something other than "n", the script will not be included.
    - Restore the framebuffer hook and script, copying KMS and other
      framebuffer drivers into the initramfs, but make them optional; you
      need to set FRAMEBUFFER=y for these to be included.
    - Add hwaddr= alias for BOOTIF= for compatibility.
    - Automatically blacklist vga16fb when vga= or video= specified on
      kernel command-line.
    - add squashfs to list of 'most' modules
    - Add vfat and nls modules to the initramfs.
    - Add Hyper-V paravirtualised device drivers to the initramfs to allow
      booting of stock images in a Hyper-V guest.
    - ppc64el: enable PowerPC NX Crypto Coprocessor
    - resume: only resume when the partition contains a resume image
    - Fix resuming a hibernate session from a swapfile
    - Add new initramfs-tools-bin package containing a binary that uses
      libudev to wait for udev to create the udev device, or wait for udev
      to finish processing if we catch it in the act, and returns the
      filesystem type as already probed by udev.
    - Don't recommend pigz, which is in universe.
    - local_device_setup: use wait-for-root if it supports the device alias
      type
    - debian/control: update Vcs-* links for Ubuntu.
    - Add support for uppercase and lowercase uuids.
    - init: Don't interpret "rootdelay" as a static sleep.
    - src/wait-for-root.c, scripts/local: add explicit support for PARTUUID, a
      syntax we may prefer for images that might boot without an initramfs.
      (previously unnoted)
    - scripts/local: Let rootdelay determine the wait-for-root timeout.
    - Increase rootdelay to 180s on powerpc/ppc64/ppc64el
    - Support roottimeout= as the authoritative name for rootdelay= since
      the Ubuntu interpretation of rootdelay is *not* a delay and this
      causes inconsistent behavior depending on whether the kernel or an
      initramfs is interpreting it.
    - scripts/functions: by default, when setting up networking, use dhclient
      if we're asked to do DHCP explicitly, or if we otherwise are expected
      to do things automatically.
    - scripts/functions: make sure we can try to start all available and
      suitable interfaces if ip= isn't set when setting up the network, and
      exit as soon as we get an IP address.
      - split out IPv6 options in its own cmdline parameter: ip6= ; always use
        dhclient in this case if the value set is anything other than 'off' or
        'none'. Furthermore, parse anything other than 'on', 'dhcp' or 'any'
        as the name of an interface.
      - rework the stop conditions so that we properly handle the ROUNDTTT
        loop, timing out after a short period of time and trying again after
        a short sleep.
      - add a 'done' parameter for both ip= and ip6= so that we can properly
        exit the ROUNDTTT loop once we know that either there is no work to
        do, or that we've achieved what we wanted (that is, to bring up IPv4,
        IPv6, or possibly both).
      - return ip=dhcp to the ipconfig use case; if set, then ipconfig will
        be run using any interface available, or the BOOTIF if it was set.
      - Just let dhclient scan the interfaces if none is specified for IPv6.
        (previously unnoted)
      - Do not handle ip=rarp specially (ipconfig hasn't supported it for
        some time)
      - Call dhclient in simple cases for IPv4 (this makes some small
        observable changes -- for example ip=bootp will now make a DHCP
        request too -- but nothing that seems important).
      - Do not let dhclient processes hang around past the pivot and have
        them respect the shorter timeouts ipconfig was given.
    - Only source ipv4 config in configure_networking() if it exists.
      (previously unnoted)
    - hook-functions, mkinitramfs, scripts/functions: support usage of dns
      after configure_networking.
    - Run unittests during autopkgtests.
    - Add some autopkgtests for the network configuration processing.
    - scripts/functions: write netplan config files to /run/netplan for
      network devices configured with configure_networking.

