## initramfs-tools 0.140ubuntu6.1

=== debian/changelog ===
initramfs-tools (0.140ubuntu6.1) impish; urgency=medium

  * Increase image file to 2GB in autopkgtest (LP: #1958904)

 -- Kleber Sacilotto de Souza <kleber.souza@canonical.com>  Wed, 26 Jan 2022 17:03:17 +0100
